package net.minecraft.client.resources;

import java.io.IOException;
import net.minecraft.server.packs.resources.Resource;
import com.mojang.blaze3d.platform.NativeImage;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.server.packs.resources.ResourceManager;

public class LegacyStuffWrapper {
    @Deprecated
    public static int[] getPixels(final ResourceManager zb, final ResourceLocation sm) throws IOException {
        try (final Resource za3 = zb.getResource(sm);
             final NativeImage cxr5 = NativeImage.read(za3.getInputStream())) {
            return cxr5.makePixelArray();
        }
    }
}
